using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;

namespace APT.MS.Domain.Entities.HM
{
    [Description("辨识区域")]
    public class T_HM_OPERATION_LINK_AREA : MesEntityBase
    {
        /// <summary>
        /// 作业任务库
        /// </summary>
        [Description("作业任务库")]
        [DataFieldForeignKey("Nav_OperationLink", "Nav_LinkArea")]
        public Guid OPERATION_LINK_ID { get; set; }

        /// <summary>
        /// 导航属性：作业环节
        /// </summary>
        [Description("作业任务库")]
        public T_HM_OPERATION_LINK Nav_OperationLink { get; set; }
        /// <summary>
        /// 辨识区域
        /// </summary>
        [Description("辨识区域")]
        [DataFieldForeignKey("Nav_Area")]

        public Guid? AREA_ID { get; set; }

        /// <summary>
        /// 导航属性：辨识区域
        /// </summary>
        [Description("导航属性：辨识区域")]
        public T_HM_RISK_AREA Nav_Area { get; set; }
    }
}
